<template>
  <div class="layouts-home">
    <nuxt />
    <SidebarContainer>
      <SidebarMenu />
    </SidebarContainer>
    <Cookie />
    <client-only>
      <portal-target name="modal" />
    </client-only>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import SidebarContainer from '@/components/app/SidebarContainer.vue'
import SidebarMenu from '@/components/app/SidebarMenu.vue'
import Cookie from '@/components/app/Cookie.vue'
export default defineComponent({
  name: 'HomeLayout',
  components: { SidebarMenu, SidebarContainer, Cookie }
})
</script>

<style lang="scss" scoped>
.layouts-home {
  background-color: #1F232F;
  min-height: 100vh;
}
</style>
